#!/bin/sh

LANG=C

date

#. /home/user/server/files/param.sh
. ./param.sh

################################################################
# Make root directory for chroot

cd $homedir
rm -fR root
mkdir root
cd root
mkdir -p bin lib libexec tmp

################################################################
# Copy shared library

cd $homedir

cp /libexec/ld-elf.so.1 root/libexec

ldd tools/gdb/bin/msp430-elf-gdb /bin/sh /bin/sleep \
	| grep "=>" | awk '{print $3}' | sort | uniq \
	| xargs -I % cp % root/lib

################################################################
# Copy other files

cd $homedir
cp tools/gdb/bin/* cross-gcc494/exec/*.x server/files/rungdb.sh root/bin
cp /bin/sh /bin/sleep root/bin
cp word.txt root

################################################################
# Shutdown

date

#sudo shutdown -h now
